---
apiVersion: vinyl.solidite.fr/v1beta1
kind: Component
category: core
metadata:
  name: olm
  description: Operator Lifecycle Manager
options:
  images:
    default:
      operator:
        pull_policy: IfNotPresent
        registry: quay.io
        repository: operator-framework/olm@sha256
        tag: 1b6002156f568d722c29138575733591037c24b4bfabc67946f268ce4752c3e6
    examples:
    - operator:
        pull_policy: IfNotPresent
        registry: quay.io
        repository: operator-framework/olm@sha256
        tag: 1b6002156f568d722c29138575733591037c24b4bfabc67946f268ce4752c3e6
    properties:
      operator:
        default:
          pull_policy: IfNotPresent
          registry: quay.io
          repository: operator-framework/olm@sha256
          tag: 1b6002156f568d722c29138575733591037c24b4bfabc67946f268ce4752c3e6
        properties:
          pull_policy:
            default: IfNotPresent
            enum:
            - Always
            - Never
            - IfNotPresent
            type: string
          registry:
            default: quay.io
            type: string
          repository:
            default: operator-framework/olm@sha256
            type: string
          tag:
            default: 1b6002156f568d722c29138575733591037c24b4bfabc67946f268ce4752c3e6
            type: string
        type: object
    type: object
dependencies:
- dist: null
  category: crd
  component: olm
providers:
  kubernetes: true
  authentik: null
  kubectl: true
  postgresql: null
  mysql: null
  restapi: null
  http: null
  gitea: null
tfaddtype: null
